﻿@model List<WebApp.ViewModels.Admin.StationRouteAdminViewModel>
@{
    ViewBag.Title = "Intermediate stations";
}


<div class="panel panel-default">
    <div class="panel-heading"><h2>Intermediate stations for route #@Context.Request.Params["routeId"]</h2></div>
    <div class="panel-body">
        @Html.ActionLink("Create", "CreateStationRoute", "Admin", new { routeId = Context.Request.Params["routeId"] }, null)
    </div>
    
    @if (Model.Count == 0)
    {
        @:<div class="alert alert-danger" role="alert">No stations found.</div>
    }
    else
    {

        <table class="table">
            <thead>
            <th>ID</th>
            <th>Going time</th>
            <th>Standing time</th>
            <th>Order in route</th>
            <th>Station</th>
            <th>Cost</th>
            <th>Actions</th>
            </thead>
            <tbody>
            @foreach (var model in Model)
            {
                <tr>
                    <td>@Html.DisplayFor(t => model.Id)</td>
                    <td>@Html.DisplayFor(t => model.GoingTime)</td>
                    <td>@Html.DisplayFor(t => model.StandingTime)</td>
                    <td>@Html.DisplayFor(t => model.OrderInRoute)</td>
                    <td>@Html.DisplayFor(t => model.StationTitle)</td>
                    <td>@Html.DisplayFor(t => model.TraversingCost)</td>
                    <td>
                        @Html.ActionLink("Edit", "EditStationRoute", "Admin", new {id = model.Id}, null) |
                        @Html.ActionLink("Delete", "DeleteStationRoute", "Admin", new {id = model.Id}, null)
                    </td>
                </tr>
            }
            </tbody>
        </table>
    }
</div>


